/*--- SPLITTING ---*/

//--WORD
.splitting-word[data-scroll='in'] .word {
    animation: slide-simple .5s cubic-bezier(.5, 0, .5, 1) both;
    animation-delay: calc(20ms * var(--word-index));
}

@keyframes slide-simple {
    from {
        transform: translateY(.4em);
        opacity: 0;
    }
}

//--CHAR
.splitting-char[data-scroll='in'] .char {
    animation: slide-in 1s cubic-bezier(.5, 0, .5, 1) both;
    animation-delay: calc(30ms * var(--char-index));
}

@keyframes slide-in {
    from {
        transform: translateY(-.7em);
        opacity: 0;
    }
}

.splitting-word[data-scroll='out'] .char,
.splitting-char[data-scroll='out'] .word {
    opacity: 0;
}

/*--- MAGNETS ---*/

.magnetic {
    padding: 50px;
    display: inline-block;
    border-radius: 50%;
    cursor: pointer;
    /*border: 1px solid #000; //use this for debugging*/

    &--menu {
        padding: 5px 0px;
    }
}

/*--- REVEAL ---*/
.reveal {
    overflow: hidden;
    position: relative;
    display: inline-block;

    img {
        width: 100%;
    }

    /*&:after {
        content:" ";
        position:absolute;
        display:block;
        top:0;
        left:0;
        width:100%;
        height:100%;
        background:#fff;
        z-index:2;
        transition: all 2s ease;
    }*/
}

.show {
    &:after {
        left: 100%;
    }
}

/*--- TICKER ---*/

.ticker {
    position: relative;
    z-index: -1;
    box-shadow: none !important;

    .bx-wrapper {
        margin-top: -50px;
        position: absolute;
        box-shadow: none !important;;
        background: none;
        border: none;
    }

    &-slider {
        li {
            opacity: .05;
            font-weight: bold;
            font-size: 16em;
            margin-top: -45px !important;
            width: auto !important;
            @include mq(tablet, max) {
                margin-top: -25px !important;
                font-size: 6em;
            }
        }
    }
}

/*--- AOS ---*/

[data-aos] {
    transform: translateX(30px);

    &.aos-animate {
        transform: translateX(0);
    }
}

/*--- SCROLL INDICATOR ---*/
.scroll {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 0%;
    height: 5px;
    background-color: yellow;
    z-index: 9;
    transition: width .5s ease;
}

/*--- MORPHIST ---*/

.morphist > *:not(.animated) {
    display: none;
}

/*--- WAVE ---*/
.waves {
    display: block;
    position: absolute;
    z-index: -2;
    transform: scale(1.09);
}

.wave-canvas.disabled {
    display: none;
}

@for $count from 1 through 10 {
    #wave-#{$count} {
        //top: 10% * $count;
        //left: 5% * $count;
    }
}
